RHSA-2004:591-01: Updated squid package fixes vulnerability
Posted on: 10/20/2004 02:57 PM

Updated squid packages are available for Red Hat Enterprise Linux 2.1 and 3

----------------------------------------------------------------------
Red Hat Security Advisory

Synopsis: Updated squid package fixes vulnerability
Advisory ID: RHSA-2004:591-01
Issue date: 2004-10-20
Updated on: 2004-10-20
Product: Red Hat Enterprise Linux
Obsoletes: RHSA-2004:462
CVE Names: CAN-2004-0918
----------------------------------------------------------------------

1. Summary:

An updated squid package that fixes a remote denial of service vulnerability is now avaliable.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1 - i386, ia64
Red Hat Linux Advanced Workstation 2.1 - ia64
Red Hat Enterprise Linux ES version 2.1 - i386
Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Desktop version 3 - i386, x86_64
Red Hat Enterprise Linux ES version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64

3. Problem description:

Squid is a full-featured Web proxy cache.

iDEFENSE reported a flaw in the squid SNMP module. This flaw could allow an attacker who has the ability to send arbitrary packets to the SNMP port to restart the server, causing it to drop all open connections. The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CAN-2004-0918 to this issue.

All users of squid should update to this erratum package, which contains a backport of the security fix for this vulnerability.

4. Solution:

Before applying this update, make sure that all previously-released errata relevant to your system have been applied. Use Red Hat Network to download and update your packages. To launch the Red Hat Update Agent, use the following command:

up2date

For information on how to install packages manually, refer to the following Web page for the System Administration or Customization guide specific to your system:

http://www.redhat.com/docs/manuals/enterprise/

5. Bug IDs fixed (http://bugzilla.redhat.com/ for more info):

135319 - CAN-2004-0918 SNMP DoS

6. RPMs required:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/squid-2.4.STABLE7-1.21as.src.rpm
d6f19557d67672e3f08e2ef191c74ba2 squid-2.4.STABLE7-1.21as.src.rpm

i386:
656bb40dacbfda418bc5b0b0a2afb9ca squid-2.4.STABLE7-1.21as.i386.rpm

ia64:
4c7f9233d5c07161815cd0f238598ad9 squid-2.4.STABLE7-1.21as.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/squid-2.4.STABLE7-1.21as.src.rpm
d6f19557d67672e3f08e2ef191c74ba2 squid-2.4.STABLE7-1.21as.src.rpm

ia64:
4c7f9233d5c07161815cd0f238598ad9 squid-2.4.STABLE7-1.21as.ia64.rpm

Red Hat Enterprise Linux ES version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1ES/en/os/SRPMS/squid-2.4.STABLE7-1.21as.src.rpm
d6f19557d67672e3f08e2ef191c74ba2 squid-2.4.STABLE7-1.21as.src.rpm

i386:
656bb40dacbfda418bc5b0b0a2afb9ca squid-2.4.STABLE7-1.21as.i386.rpm

Red Hat Enterprise Linux AS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/squid-2.5.STABLE3-6.3E.2.src.rpm
919b9823a67f83efafc8e34dd7b54a76 squid-2.5.STABLE3-6.3E.2.src.rpm

i386:
1e97031b4ab8ed0095aed15fc8023f57 squid-2.5.STABLE3-6.3E.2.i386.rpm

ia64:
b47592e7fc983dcef36e7949bc603014 squid-2.5.STABLE3-6.3E.2.ia64.rpm

ppc:
73cc5efea1bad51e51858f2e56ea1581 squid-2.5.STABLE3-6.3E.2.ppc.rpm

s390:
d42bd6385028a6336b62acd9e1d3b551 squid-2.5.STABLE3-6.3E.2.s390.rpm

s390x:
c9cbce5de6662b4cc156dce76829bfe1 squid-2.5.STABLE3-6.3E.2.s390x.rpm

x86_64:
50f854496bd475854ef578891dc5d630 squid-2.5.STABLE3-6.3E.2.x86_64.rpm

Red Hat Desktop version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3desktop/en/os/SRPMS/squid-2.5.STABLE3-6.3E.2.src.rpm
919b9823a67f83efafc8e34dd7b54a76 squid-2.5.STABLE3-6.3E.2.src.rpm

i386:
1e97031b4ab8ed0095aed15fc8023f57 squid-2.5.STABLE3-6.3E.2.i386.rpm

x86_64:
50f854496bd475854ef578891dc5d630 squid-2.5.STABLE3-6.3E.2.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/squid-2.5.STABLE3-6.3E.2.src.rpm
919b9823a67f83efafc8e34dd7b54a76 squid-2.5.STABLE3-6.3E.2.src.rpm

i386:
1e97031b4ab8ed0095aed15fc8023f57 squid-2.5.STABLE3-6.3E.2.i386.rpm

ia64:
b47592e7fc983dcef36e7949bc603014 squid-2.5.STABLE3-6.3E.2.ia64.rpm

x86_64:
50f854496bd475854ef578891dc5d630 squid-2.5.STABLE3-6.3E.2.x86_64.rpm

Red Hat Enterprise Linux WS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/squid-2.5.STABLE3-6.3E.2.src.rpm
919b9823a67f83efafc8e34dd7b54a76 squid-2.5.STABLE3-6.3E.2.src.rpm

i386:
1e97031b4ab8ed0095aed15fc8023f57 squid-2.5.STABLE3-6.3E.2.i386.rpm

ia64:
b47592e7fc983dcef36e7949bc603014 squid-2.5.STABLE3-6.3E.2.ia64.rpm

x86_64:
50f854496bd475854ef578891dc5d630 squid-2.5.STABLE3-6.3E.2.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://www.redhat.com/security/team/key.html#package

7. References:

http://www.idefense.com/application/poi/display?id=152type=vulnerabilities
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0918

8. Contact:

The Red Hat security contact is secalert@redhat.com. More contact details at https://www.redhat.com/security/team/contact.html

Copyright 2004 Red Hat, Inc.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_2004591_01_updated_squid_package_fixes_vulnerability.html)